{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-28T06:23:59Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "3fb03491d3c7e888dc8e79cfe64c7440ba97e374"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "301aba4b6ece42f58d5aa7241564cf94c60d238a"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtquick3d",
            "spdxDocument": "https://qt.io/spdxdocs/qtquick3d-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "377e8371be8797cca3bda201201ea1a22dbf0dc5"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtgraphs-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtgraphs-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Linux (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "19.0.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtgraphs",
            "builtDate": "2024-08-28T06:23:59Z",
            "comment": "Built by CMake 3.27.7 with Release configuration for Emscripten (x86)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtgraphs.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtgraphs@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtgraphs",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "cee5070ec0bfe8a5fe90f0aa5fc6476881f23691"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtgraphs.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtgraphs?library_name=GraphsWidgets#src/graphs3d/widget",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtgraphs-GraphsWidgets?vcs_url=https://code.qt.io/qt/qtgraphs.git&library_name=GraphsWidgets#src/graphs3d/widget",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtgraphs:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "GraphsWidgets",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtgraphs.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtgraphs?library_name=Graphs#src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtgraphs-Graphs?vcs_url=https://code.qt.io/qt/qtgraphs.git&library_name=Graphs#src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtgraphs:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "Graphs",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtgraphs-qt-plugin-Graphsplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtgraphs.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtgraphs?library_name=Graphsplugin#src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtgraphs-Graphsplugin?vcs_url=https://code.qt.io/qt/qtgraphs.git&library_name=Graphsplugin#src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtgraphs:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "Graphsplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "f60f1db37926d406bc28566629564d44e98dbcf1"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6GraphsWidgets.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Graphs",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "c2057b0b2809827a4c904538587bf0b8cdfbe1e7"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6Graphs.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-Graphsplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "7ea2534d18c4dc0e20f14d6073c845f1d869c466"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtGraphs/libgraphsplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtgraphs is built by compiler Clang (/opt/emsdk/upstream/emscripten/em++) version 19.0.0",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-QuickWidgets",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-GraphsWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget//home/qt/work/qt/qtgraphs/build/target/include/QtGraphsWidgets/qtgraphswidgetsexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/qgraphswidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dgraphswidgetitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dgraphswidgetitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dgraphswidgetitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget//home/qt/work/qt/qtgraphs/build/target/src/graphs3d/widget/meta_types/qt6graphswidgets_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dbarswidgetitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dbarswidgetitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dbarswidgetitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dscatterwidgetitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dscatterwidgetitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dscatterwidgetitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dsurfacewidgetitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dsurfacewidgetitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-GraphsWidgets",
            "comment": "/home/qt/work/qt/qtgraphs/src/graphs3d/widget/q3dsurfacewidgetitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-QuickShapesPrivate",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtquick3d:SPDXRef-Package-qtquick3d-qt-module-Quick3D",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtquick3d:SPDXRef-Package-qtquick3d-qt-module-Quick3DRuntimeRender",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Graphs",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-module-Graphs",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Graphs",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/include/QtGraphs/qtgraphsexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/qtgraphs-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/qtgraphs-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/meta_types/qt6graphs_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/graphs_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_qmake_QtGraphs.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_graphsshaders2D.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_graphsshaders.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_graphsmeshes.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_qml_component_resources.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_qml_axis_resources.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/.qt/rcc/qrc_qml_material_resources.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/theme/qgraphstheme.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/theme/qgraphstheme.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/theme/qgraphstheme_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/theme/qquickgraphscolor.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/theme/qquickgraphscolor_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/global/qgraphsglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/common/global/qgraphsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qabstract3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qabstract3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qabstract3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qcategory3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qcategory3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qcategory3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qlogvalue3daxisformatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qlogvalue3daxisformatter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qlogvalue3daxisformatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxisformatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxisformatter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/axis/qvalue3daxisformatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/abstractitemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/abstractitemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstract3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstract3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstract3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstractdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstractdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qabstractdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3ditem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3ditem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3ditem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dlabel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dlabel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dlabel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dvolume.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dvolume.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qcustom3dvolume_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/q3dscene.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/q3dscene.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/q3dscene_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/input/qgraphsinputhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/input/qgraphsinputhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/utils/qutils.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/utils/utils.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/utils/utils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/utils/qgraphs3dnamespace.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/utils/qgraphs3dnamespace.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/foreigntypes_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsitem_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphstexturedata.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphstexturedata_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/baritemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/baritemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbar3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbar3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbar3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbardataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbardataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbardataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbardataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qbardataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelbardataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelbardataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelbardataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/barinstancing.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/barinstancing_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/foreigntypesbars_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsbars.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsbars_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsbarsseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsbarsseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelscatterdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelscatterdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelscatterdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatter3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatter3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatter3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatterdataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatterdataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatterdataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatterdataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qscatterdataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/scatteritemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/scatteritemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/scatterinstancing.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/scatterinstancing_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/foreigntypesscatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsscatter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsscatter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsscatterseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphsscatterseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qheightmapsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qheightmapsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qheightmapsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qitemmodelsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurface3dseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurface3dseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurface3dseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurfacedataitem.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurfacedataitem.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurfacedataproxy.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurfacedataproxy.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/qsurfacedataproxy_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/surfaceitemmodelhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/data/surfaceitemmodelhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/surfaceselectioninstancing.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/engine/surfaceselectioninstancing_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/foreigntypessurface_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphssurface.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphssurface_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphssurfaceseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs3d/qml/qquickgraphssurfaceseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qgraphsview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qgraphsview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qabstractseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qabstractseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qabstractseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/charthelpers_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarset.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarset.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarset_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarmodelmapper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarmodelmapper.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/barchart/qbarmodelmapper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/linechart/qlineseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/linechart/qlineseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/linechart/qlineseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieslice.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieslice.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpieslice_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpiemodelmapper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpiemodelmapper.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/piechart/qpiemodelmapper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/scatterchart/qscatterseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/scatterchart/qscatterseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/scatterchart/qscatterseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxyseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxyseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxyseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxypoint.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxypoint_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxymodelmapper.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxymodelmapper.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/xychart/qxymodelmapper_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/qabstractaxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/qabstractaxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/qabstractaxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/barcategoryaxis/qbarcategoryaxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/barcategoryaxis/qbarcategoryaxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/barcategoryaxis/qbarcategoryaxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisgrid.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisgrid_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisticker.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisticker_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisline.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/axisline_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/valueaxis/qvalueaxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/valueaxis/qvalueaxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/valueaxis/qvalueaxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/barsrenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/barsrenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/pointrenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/pointrenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/axisrenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/axisrenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/pierenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/pierenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/arearenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/qsgrenderer/arearenderer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/splinechart/qsplineseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/splinechart/qsplineseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/splinechart/qsplineseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/areachart/qareaseries.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/areachart/qareaseries.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/areachart/qareaseries_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qsplinecontrolanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qsplinecontrolanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphpointanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphpointanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphtransition_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qgraphtransition.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qxyseriesanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/animation/qxyseriesanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/datetimeaxis/qdatetimeaxis.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/datetimeaxis/qdatetimeaxis.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Graphs",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/src/graphs2d/axis/datetimeaxis/qdatetimeaxis_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-plugin-Graphsplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs",
            "relatedSpdxElement": "SPDXRef-Package-qtgraphs-qt-plugin-Graphsplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-plugin-Graphsplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-Graphsplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtgraphs-qt-plugin-Graphsplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-Graphsplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-Graphsplugin",
            "comment": "/home/qt/work/qt/qtgraphs/src//home/qt/work/qt/qtgraphs/build/target/src/Graphsplugin_QtGraphsPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}